<?
if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true) die();
/** @var CBitrixComponent $this */
/** @var array $arParams */
/** @var array $arResult */
/** @var string $componentPath */
/** @var string $componentName */
/** @var string $componentTemplate */
/** @global CDatabase $DB */
/** @global CUser $USER */
/** @global CMain $APPLICATION */

use Bitrix\Main\Context,
	Bitrix\Main\Type\DateTime,
	Bitrix\Main\Loader,
	Bitrix\Iblock;

if($this->StartResultCache(60*60*24, md5(var_export($_POST, true))))
{
	if(CModule::IncludeModule('iblock'))
	{
		$arResult = [];
		$sort = Array("SORT" => "ASC", "NAME" => "ASC");
		$filter = Array("ACTIVE" => "Y", "IBLOCK_ID" => 7);
		$options = Array("nPageSize" => 6);

		$res = CIBlockElement::GetList($sort, $filter, false, $options);
		$arResult = ['ITEMS' => []];

		while ($obElement = $res->GetNextElement())
		{
			$ar_res = $obElement->GetFields();
			$ar_res['PROPERTIES'] = $obElement->GetProperties();
			$ar_res['PROPERTIES']['REGION']['RELATED'] = get_related(15, $ar_res['PROPERTIES']['REGION']['VALUE']);

			$arResult['ITEMS'][] = $ar_res;
		}

		if($arParams["PAGINATION"] == "Y")
		{
			$arResult["NAV_STRING"] = $res->GetPageNavStringEx(
				$navComponentObject,
				"",
				"catalog",
				"N",
				null,
				[ "section_code" => "/about/career/", ]
			);
		}

		$this->IncludeComponentTemplate();
	}
}